package com.e6yun.project.sdk.api.pojo.business;

import com.google.common.base.MoreObjects;

/**
 * @Description TempSetting
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/20 9:42
 * @ClassName TempSetting
 * @Remark
 */
public class TempSetting {

    private Integer ht1;
    private Integer lt1;
    private Integer continueTime1;
    private Integer ht2;
    private Integer lt2;
    private Integer continueTime2;
    private Integer ht3;
    private Integer lt3;
    private Integer continueTime3;
    private Integer ht4;
    private Integer lt4;
    private Integer continueTime4;
    private Integer ht5;
    private Integer lt5;
    private Integer continueTime5;
    private Integer ht6;
    private Integer lt6;
    private Integer continueTime6;
    private Integer ht7;
    private Integer lt7;
    private Integer continueTime7;
    private Integer ht8;
    private Integer lt8;
    private Integer continueTime8;

    public Integer getContinueTime1() {
        return continueTime1;
    }

    public void setContinueTime1(Integer continueTime1) {
        this.continueTime1 = continueTime1;
    }

    public Integer getHt1() {
        return ht1;
    }

    public void setHt1(Integer ht1) {
        this.ht1 = ht1;
    }

    public Integer getLt1() {
        return lt1;
    }

    public void setLt1(Integer lt1) {
        this.lt1 = lt1;
    }

    public Integer getHt2() {
        return ht2;
    }

    public void setHt2(Integer ht2) {
        this.ht2 = ht2;
    }

    public Integer getLt2() {
        return lt2;
    }

    public void setLt2(Integer lt2) {
        this.lt2 = lt2;
    }

    public Integer getContinueTime2() {
        return continueTime2;
    }

    public void setContinueTime2(Integer continueTime2) {
        this.continueTime2 = continueTime2;
    }

    public Integer getHt3() {
        return ht3;
    }

    public void setHt3(Integer ht3) {
        this.ht3 = ht3;
    }

    public Integer getLt3() {
        return lt3;
    }

    public void setLt3(Integer lt3) {
        this.lt3 = lt3;
    }

    public Integer getContinueTime3() {
        return continueTime3;
    }

    public void setContinueTime3(Integer continueTime3) {
        this.continueTime3 = continueTime3;
    }

    public Integer getHt4() {
        return ht4;
    }

    public void setHt4(Integer ht4) {
        this.ht4 = ht4;
    }

    public Integer getLt4() {
        return lt4;
    }

    public void setLt4(Integer lt4) {
        this.lt4 = lt4;
    }

    public Integer getContinueTime4() {
        return continueTime4;
    }

    public void setContinueTime4(Integer continueTime4) {
        this.continueTime4 = continueTime4;
    }

    public Integer getHt5() {
        return ht5;
    }

    public void setHt5(Integer ht5) {
        this.ht5 = ht5;
    }

    public Integer getLt5() {
        return lt5;
    }

    public void setLt5(Integer lt5) {
        this.lt5 = lt5;
    }

    public Integer getContinueTime5() {
        return continueTime5;
    }

    public void setContinueTime5(Integer continueTime5) {
        this.continueTime5 = continueTime5;
    }

    public Integer getHt6() {
        return ht6;
    }

    public void setHt6(Integer ht6) {
        this.ht6 = ht6;
    }

    public Integer getLt6() {
        return lt6;
    }

    public void setLt6(Integer lt6) {
        this.lt6 = lt6;
    }

    public Integer getContinueTime6() {
        return continueTime6;
    }

    public void setContinueTime6(Integer continueTime6) {
        this.continueTime6 = continueTime6;
    }

    public Integer getHt7() {
        return ht7;
    }

    public void setHt7(Integer ht7) {
        this.ht7 = ht7;
    }

    public Integer getLt7() {
        return lt7;
    }

    public void setLt7(Integer lt7) {
        this.lt7 = lt7;
    }

    public Integer getContinueTime7() {
        return continueTime7;
    }

    public void setContinueTime7(Integer continueTime7) {
        this.continueTime7 = continueTime7;
    }

    public Integer getHt8() {
        return ht8;
    }

    public void setHt8(Integer ht8) {
        this.ht8 = ht8;
    }

    public Integer getLt8() {
        return lt8;
    }

    public void setLt8(Integer lt8) {
        this.lt8 = lt8;
    }

    public Integer getContinueTime8() {
        return continueTime8;
    }

    public void setContinueTime8(Integer continueTime8) {
        this.continueTime8 = continueTime8;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("ht1", ht1)
                .add("lt1", lt1)
                .add("continueTime1", continueTime1)
                .add("ht2", ht2)
                .add("lt2", lt2)
                .add("continueTime2", continueTime2)
                .add("ht3", ht3)
                .add("lt3", lt3)
                .add("continueTime3", continueTime3)
                .add("ht4", ht4)
                .add("lt4", lt4)
                .add("continueTime4", continueTime4)
                .add("ht5", ht5)
                .add("lt5", lt5)
                .add("continueTime5", continueTime5)
                .add("ht6", ht6)
                .add("lt6", lt6)
                .add("continueTime6", continueTime6)
                .add("ht7", ht7)
                .add("lt7", lt7)
                .add("continueTime7", continueTime7)
                .add("ht8", ht8)
                .add("lt8", lt8)
                .add("continueTime8", continueTime8)
                .toString();
    }
}
